Package junit.runner

# Class StandardTestSuiteLoader

java.lang.Object
junit.runner.StandardTestSuiteLoader

All Implemented Interfaces:
  `TestSuiteLoader`

public class StandardTestSuiteLoader extends Object implements TestSuiteLoader
The standard test suite loader. It can only load the same class once.

## Constructor Summary

Constructors
Constructor
Description
`StandardTestSuiteLoader()`

## Method Summary

Modifier and Type
Method
Description
`Class`
`load(String suiteClassName)`
Uses the system class loader to load the test class
`Class`
`reload(Class aClass)`
Uses the system class loader to load the test class

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardTestSuiteLoader

public StandardTestSuiteLoader()

## Method Details

### load

public Class load(String suiteClassName) throws ClassNotFoundException
Uses the system class loader to load the test class

Specified by:
  `load` in interface `TestSuiteLoader`
Throws:
  `ClassNotFoundException`

### reload

public Class reload(Class aClass) throws ClassNotFoundException
Uses the system class loader to load the test class

Specified by:
  `reload` in interface `TestSuiteLoader`
Throws:
  `ClassNotFoundException`